summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md1
-rw-r--r--media-sound/tagutil/Manifest2
-rw-r--r--media-sound/tagutil/tagutil-3.1.ebuild33
3 files changed, 36 insertions, 0 deletions
diff --git a/README.md b/README.md
index 2d515a6..8814def 100644
--- a/README.md
+++ b/README.md
@@ -16,6 +16,7 @@ other overlays, or modifying less-than-ideals in the upstream ebuild repository.
- [MilkyTracker](https://milkytracker.titandemo.org/) as media-sound/milkytracker
- [NBlood](https://nukeykt.retrohost.net/) as games-fps/nblood
- [xkeysnail](https://github.com/mooz/xkeysnail) as x11-misc/xkeysnail
+- [tagutil](https://github.com/kaworu/tagutil) as media-sound/tagutil
Additionally, a number of packages from Jannik2099's now-abandoned
`pinebookpro-overlay` see upkeep here. Use at your own peril.
diff --git a/media-sound/tagutil/Manifest b/media-sound/tagutil/Manifest
new file mode 100644
index 0000000..430b6eb
--- /dev/null
+++ b/media-sound/tagutil/Manifest
@@ -0,0 +1,2 @@
+DIST tagutil-3.1.tar.gz 75083 BLAKE2B f6b310144cae534dc335675d19a1ebc1ad96cafe9e86bce09a8b75a135974405fe37c5c3e2d539c74dd79060a168811cdbd9b8841cf911834f6e3fbd0d66e98f SHA512 a5b2140250f21eddd0154231608546b78c5646bb4bcb6ed7b11a3cbade2435c322d83c19a2a2e6852cdacca19a2b1cd6e33c0b71147d6873679d2b41db5a06d9
+EBUILD tagutil-3.1.ebuild 759 BLAKE2B 8ede4a4ef3c8ee09b2fcbf164389171084b6b1b716ced82884f3e311de465b490c0cd74a09f68b107e022319cd469ac5d281f1d5114b51845fd7575086393986 SHA512 549a3561ff59714b2722234dbd12b9e520b48497958bb22885d16b3d3e26fcb9569d3d7b7e0a76519feb92f6f043322dda1acd6ba69f4776f08eb57e0908b843
diff --git a/media-sound/tagutil/tagutil-3.1.ebuild b/media-sound/tagutil/tagutil-3.1.ebuild
new file mode 100644
index 0000000..7d199d5
--- /dev/null
+++ b/media-sound/tagutil/tagutil-3.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Jakob L. Kreuze
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Scriptable music files tags tool and editor"
+HOMEPAGE="https://github.com/kaworu/tagutil"
+SRC_URI="https://github.com/kaworu/tagutil/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${P}/src"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="id3 flac json vorbis taglib"
+
+RDEPEND="
+ dev-libs/libyaml
+ json? ( dev-libs/jansson )
+ flac? ( media-libs/flac )
+ vorbis? ( media-libs/libvorbis )
+ taglib? ( media-libs/taglib )
+ id3? ( media-sound/id3 )"
+DEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ cmake_src_prepare
+ eapply_user
+ sed -i 's/-o aslr//' CMakeLists.txt || die "Sed failed!"
+}
+